## cobbler 2.1.0-2

=== Makefile ===
#MESSAGESPOT=po/messages.pot

TOP_DIR:=$(shell pwd)

prefix=devinstall
statepath=/tmp/cobbler_settings/$(prefix)

all: clean build

clean:
	-rm -rf build rpm-build
	-rm -f *~
	-rm -f cobbler/*.pyc
	-rm -rf dist
	-rm -rf buildiso
	-rm MANIFEST
	-rm -f koan/*.pyc
	-rm -f config/version
	-rm -f docs/*.1.gz 
	-rm *.tmp
	-rm *.log

test:
	make savestate prefix=test
	make rpms
	make install
	make eraseconfig
	/sbin/service cobblerd restart
	-(make nosetests)
	make restorestate prefix=test

nosetests:
	nosetests cobbler/*.py -v | tee test.log

build:
	python setup.py build -f

install: build
	python setup.py install -f
	chown -R apache /usr/share/cobbler/web

debinstall:
	python setup.py install -f --root $(DESTDIR)

devinstall:
	-rm -rf /usr/share/cobbler
	make savestate
	make install
	make restorestate

savestate:
	mkdir -p $(statepath)
	cp -a /var/lib/cobbler/config $(statepath)
	cp /etc/cobbler/settings $(statepath)/settings
	cp /etc/cobbler/modules.conf $(statepath)/modules.conf
	cp /etc/httpd/conf.d/cobbler.conf $(statepath)/http.conf
	cp /etc/httpd/conf.d/cobbler_web.conf $(statepath)/cobbler_web.conf
	cp /etc/cobbler/users.conf $(statepath)/users.conf
	cp /etc/cobbler/users.digest $(statepath)/users.digest
	cp /etc/cobbler/dhcp.template $(statepath)/dhcp.template
	cp /etc/cobbler/rsync.template $(statepath)/rsync.template


restorestate:
	cp -a $(statepath)/config /var/lib/cobbler
	cp $(statepath)/settings /etc/cobbler/settings
	cp $(statepath)/modules.conf /etc/cobbler/modules.conf
	cp $(statepath)/users.conf /etc/cobbler/users.conf
	cp $(statepath)/users.digest /etc/cobbler/users.digest
	cp $(statepath)/http.conf /etc/httpd/conf.d/cobbler.conf
	cp $(statepath)/cobbler_web.conf /etc/httpd/conf.d/cobbler_web.conf
	cp $(statepath)/dhcp.template /etc/cobbler/dhcp.template
	cp $(statepath)/rsync.template /etc/cobbler/rsync.template
	find /var/lib/cobbler/triggers | xargs chmod +x
	chown -R apache /var/www/cobbler
	chmod -R +x /var/www/cobbler/web
	chmod -R +x /var/www/cobbler/svc
	rm -rf $(statepath)

completion:
	python mkbash.py

webtest: devinstall
	make clean
	make devinstall
	make restartservices

restartservices:
	/sbin/service cobblerd restart
	/sbin/service httpd restart

sdist: clean
	python setup.py sdist

rpms: clean sdist
	mkdir -p rpm-build
	cp dist/*.gz rpm-build/
	rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
	--define '_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
	--define "_sourcedir  %{_topdir}" \
	-ba cobbler.spec

eraseconfig:
	-rm /var/lib/cobbler/distros*
	-rm /var/lib/cobbler/profiles*
	-rm /var/lib/cobbler/systems*
	-rm /var/lib/cobbler/repos*
	-rm /var/lib/cobbler/networks*
	-rm /var/lib/cobbler/config/distros.d/*
	-rm /var/lib/cobbler/config/images.d/*
	-rm /var/lib/cobbler/config/profiles.d/*
	-rm /var/lib/cobbler/config/systems.d/*
	-rm /var/lib/cobbler/config/repos.d/*
	-rm /var/lib/cobbler/config/networks.d/*

tags:
	find . -type f -name '*.py' | xargs etags -c TAGS

=== build_backup/Makefile ===
#MESSAGESPOT=po/messages.pot

TOP_DIR:=$(shell pwd)

prefix=devinstall
statepath=/tmp/cobbler_settings/$(prefix)

all: clean build

clean:
	-rm -rf build rpm-build
	-rm -f *~
	-rm -f cobbler/*.pyc
	-rm -rf dist
	-rm -rf buildiso
	-rm MANIFEST
	-rm -f koan/*.pyc
	-rm -f config/modules.conf config/settings config/version
	-rm -f docs/*.1.gz 
	-rm *.tmp
	-rm *.log

manpage:
	pod2man --center="cobbler" --release="" ./docs/cobbler.pod | gzip -c > ./docs/cobbler.1.gz
	pod2man --center="koan" --release="" ./docs/koan.pod | gzip -c > ./docs/koan.1.gz
	pod2man --center="cobbler-register" --release="" ./docs/cobbler-register.pod | gzip -c > ./docs/cobbler-register.1.gz

test:
	make savestate prefix=test
	make rpms
	make install
	make eraseconfig
	/sbin/service cobblerd restart
	-(make nosetests)
	make restorestate prefix=test

nosetests:
	nosetests cobbler/*.py -v | tee test.log

build: manpage
	python setup.py build -f

install: build manpage
	python setup.py install -f
	chown -R apache /usr/share/cobbler/web

debinstall: manpage
	python setup.py install -f --root $(DESTDIR)

devinstall:
	-rm -rf /usr/share/cobbler
	make savestate
	make install
	make restorestate

savestate:
	mkdir -p $(statepath)
	cp -a /var/lib/cobbler/config $(statepath)
	cp /etc/cobbler/settings $(statepath)/settings
	cp /etc/cobbler/modules.conf $(statepath)/modules.conf
	cp /etc/httpd/conf.d/cobbler.conf $(statepath)/http.conf
	cp /etc/httpd/conf.d/cobbler_web.conf $(statepath)/cobbler_web.conf
	cp /etc/cobbler/users.conf $(statepath)/users.conf
	cp /etc/cobbler/users.digest $(statepath)/users.digest
	cp /etc/cobbler/dhcp.template $(statepath)/dhcp.template
	cp /etc/cobbler/rsync.template $(statepath)/rsync.template


restorestate:
	cp -a $(statepath)/config /var/lib/cobbler
	cp $(statepath)/settings /etc/cobbler/settings
	cp $(statepath)/modules.conf /etc/cobbler/modules.conf
	cp $(statepath)/users.conf /etc/cobbler/users.conf
	cp $(statepath)/users.digest /etc/cobbler/users.digest
	cp $(statepath)/http.conf /etc/httpd/conf.d/cobbler.conf
	cp $(statepath)/cobbler_web.conf /etc/httpd/conf.d/cobbler_web.conf
	cp $(statepath)/dhcp.template /etc/cobbler/dhcp.template
	cp $(statepath)/rsync.template /etc/cobbler/rsync.template
	find /var/lib/cobbler/triggers | xargs chmod +x
	chown -R apache /var/www/cobbler
	chmod -R +x /var/www/cobbler/web
	chmod -R +x /var/www/cobbler/svc
	rm -rf $(statepath)

completion:
	python mkbash.py

webtest: devinstall
	make clean
	make devinstall
	make restartservices

restartservices:
	/sbin/service cobblerd restart
	/sbin/service httpd restart

sdist: clean
	python setup.py sdist

rpms: clean manpage sdist
	mkdir -p rpm-build
	cp dist/*.gz rpm-build/
	rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
	--define '_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
	--define "_sourcedir  %{_topdir}" \
	-ba cobbler.spec

eraseconfig:
	-rm /var/lib/cobbler/distros*
	-rm /var/lib/cobbler/profiles*
	-rm /var/lib/cobbler/systems*
	-rm /var/lib/cobbler/repos*
	-rm /var/lib/cobbler/networks*
	-rm /var/lib/cobbler/config/distros.d/*
	-rm /var/lib/cobbler/config/images.d/*
	-rm /var/lib/cobbler/config/profiles.d/*
	-rm /var/lib/cobbler/config/systems.d/*
	-rm /var/lib/cobbler/config/repos.d/*
	-rm /var/lib/cobbler/config/networks.d/*

tags:
	find . -type f -name '*.py' | xargs etags -c TAGS

=== contrib/cloner/Makefile ===
all:  clean partimageng iso pxeboot


partimageng:
	# assumes build from src RPM until available in Fedora
	createrepo /usr/src/redhat/RPMS/i386/

clean:
	-rm cloner.iso

iso:
	livecd-creator --fslabel=cloner --config=base.cfg

pxeboot:
	-rm -r tftpboot
	livecd-iso-to-pxeboot cloner.iso

## cobbler 2.1.0~bzr1881

=== debian/changelog ===
cobbler (2.1.0~bzr1881-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * Initial release

  [Dave Walker (Daviey)]
  * Imported upstream snapshot r1881
  * Refreshed and cleaned patches
  * debian/control: Updated maintainer to match current policy
  * debian/patches/series: Removed patch that was previously dropped
  * debian/patches/*: Added initial DEP-3 patch tagging.
  * debian/patches/03-localboot-value.patch: Changed localboot value
    to be more reliable with later versions of (sys|pxe)linux.
  * debian/rules: Removed get-orig-source as it is currently not required.

  [Clint Byrum]
  * debian/copyright: changed to DEP5 format and added 
    license/copyright info where applicable.

   [James Page]
  * Added libcobbler4j-java package.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 18 Jan 2011 12:03:14 +0000

=== debian/control ===
Source: cobbler
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all,
 python-cheetah, 
 python-yaml, 
 git-core, 
 python-support,
 python-setuptools,
 python-netaddr,
 python-nose,
 python-simplejson,
 ant,
 javahelper,
 junit4,
 libredstone-xmlrpc-java,
 default-jdk
XS-Python-Version: 2.7
Standards-Version: 3.9.1
Homepage: https://fedoraproject.org/cobbler

Package: cobbler
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 apache2,
 libapache2-mod-wsgi,
 lsb-release,
 python,
 rsync,
 syslinux | syslinux-common,
 cobbler-common (= ${binary:Version})
Recommends: hardlink,
 powerwake,
 tftpd-hpa,
 cobbler-web,
 debmirror
Suggests: createrepo,
 dhcp3-server,
 genisoimage,
 cman,
Description: Install server
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes
 use a helper tool, 'koan', that integrates with cobbler. Cobbler's
 advanced features include importing distributions from DVDs and rsync
 mirrors, kickstart templating, integrated yum mirroring, and built-in
 DHCP/DNS Management. Cobbler has a Python and XMLRPC API for
 integration with other applications. There is also a web interface.

Package: python-cobbler
Section: python
Architecture: all
Depends: ${python:Depends}, 
 python-yaml, 
 python-netaddr, 
 python-cheetah, 
 python-simplejson, 
 python-urlgrabber, 
 python-django, 
 ${misc:Depends}
Provides: ${python:Provides}
Description: Install server - python libraires.
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes use
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
 features include importing distributions from DVDs and rsync mirrors,
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
 Management. Cobbler has a Python and XMLRPC API for integration with other
 applications. There is also a web interface.
 .
 This package includes the cobbler python modules.

Package: cobbler-common
Architecture: all
Depends: ${misc:Depends}
Provides: ${python:Provides}
Description: Cobbler Install server - common files
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the common files.

Package: cobbler-web
Architecture: all
Depends: python-cobbler (= ${binary:Version}),
  cobbler-common (= ${binary:Version} ),
 libapache2-mod-python,
 ${misc:Depends}
Provides: ${python:Provides}
Description: Cobbler Install server - common files
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This includes the web interface and its corresponding configuration files.

Package: koan
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, cobbler
Description: kickstart-over-a-network (koan)
 Koan stands for kickstart-over-a-network and allows for both network 
 installation of new virtualized guests and re-installation of an existing 
 system.  For use with a boot-server configure with Cobbler.

Package: libcobbler4j-java
Architecture: all
Depends:
 libredstone-xmlrpc-java,
 default-jre-headless | java2-runtime-headless,
 ${misc:Depends}
Description: Cobbler Install Server API
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes use
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
 features include importing distributions from DVDs and rsync mirrors,
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
 Management. Cobbler has a Python and XMLRPC API for integration with other
 applications. There is also a web interface.
 .
 This package provides the Java API for cobbler.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

RELEASE_VERSION := 1881

%:
	dh $@ --with python2,javahelper

override_dh_auto_build:
	[ -d excluded_files/cobbler ] || mkdir -p excluded_files/cobbler
	[ -d excluded_files/koan ] || mkdir -p excluded_files/koan
	mv -f cobbler/sub_process.py excluded_files/cobbler
	mv -f koan/sub_process.py excluded_files/koan
	mv -f koan/opt_parse.py excluded_files/koan
	mv -f koan/text_wrap.py excluded_files/koan
	python setup.py build
	ant -f cobbler4j/build.xml

override_dh_auto_clean:
	dh_auto_clean
	ant -f cobbler4j/build.xml clean
	if [ -d excluded_files/cobbler ] ; then \
      mv excluded_files/cobbler/* cobbler ;\
    fi
	if [ -d excluded_files/koan ] ; then \
      mv excluded_files/koan/* koan ;\
    fi
	if [ -d excluded_files ] ; then \
      rm -rf excluded_files ;\
    fi

override_dh_auto_test:
	nosetests cobbler/*.py || true

override_dh_auto_install:
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp

get-orig-source:
	python setup.py sdist
	tar -zxvf $(CURDIR)/dist/cobbler-2.1.0.tar.gz -C $(CURDIR)/dist
	rm $(CURDIR)/dist/cobbler-2.1.0.tar.gz
	mkdir -p $(CURDIR)/dist/cobbler-2.1.0/cobbler4j
	cp -rp $(CURDIR)/cobbler4j/* $(CURDIR)/dist/cobbler-2.1.0/cobbler4j
	mv $(CURDIR)/dist/cobbler-2.1.0 $(CURDIR)/dist/cobbler-2.1.0~bzr$(RELEASE_VERSION)
	cd $(CURDIR)/dist ; tar zcvf ../../cobbler-2.1.0~bzr$(RELEASE_VERSION).tar.gz cobbler-2.1.0~bzr$(RELEASE_VERSION)

## cobbler 2.1.0~bzr1988

=== debian/changelog ===
cobbler (2.1.0~bzr1988-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * New upstram release.
  * Re-added get-orig-source to make it easier to make a tarball.
  * Dropped 02_install-layout.patch
  * Added Debian/README.Source
  * Reworked webroot patch
  * debian/cobbler-common.install: Don't put the init script
    in /etc/cobbler. (LP: #705441)
  * debian/patches/05_fix_init_paths.patch: Don't hard code init paths
    (LP: #706995)

  [Dave Walker (Daviey)]
  * debian/control: For binary package koan, do not depend on cobbler as it should 
    be functional separately. However, the additional dependency of libvirt-bin 
    has been added.  (LP: #707113)

  [ Clint Byrum ]
  * debian/patches/series: remove 02_install-layout.patch

 -- Clint Byrum <clint@ubuntu.com>  Tue, 25 Jan 2011 16:46:04 -0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
 Build-Depends: debhelper (>= 7.0.50),
+ python-cheetah, 
  python-all,
- python-cheetah, 
  python-yaml, 
  git-core, 
  python-support,
@@ -108,7 +108,7 @@
 
 Package: koan
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, cobbler
+Depends: ${python:Depends}, ${misc:Depends}, libvirt-bin
 Description: kickstart-over-a-network (koan)
  Koan stands for kickstart-over-a-network and allows for both network 
  installation of new virtualized guests and re-installation of an existing

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Verbose mode
 # export DH_VERBOSE=1
 
-RELEASE_VERSION := 1881
+RELEASE_VERSION := 1988
 
 %:
 	dh $@ --with python2,javahelper

=== debian/watch ===
version=3
http://people.fedoraproject.org/~shenson/cobbler/ cobbler-(.*).tar.gz

## cobbler 2.1.0~bzr1998

=== debian/changelog ===
cobbler (2.1.0~bzr1998-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Dropped:
    - debian/patches/01-ubuntu-webroot.patch: Accepted upstream.
    - debian/patches/04-logfile-check.patch: Accepted upstream.
    - debian/patches/05_fix_init_paths.patch: Accepted upstream.
    - debian/patches/11_support-other-wol-tools.patch: Accepted upstream.
    - debian/patches/22_re-enable_debmirror.patch: Accepted upstream.
    - debian/patches/03-localboot-value.patch: Accepted upstream.
   * debian/control: Add python-all as a build dependency.
   * debian/patches/05_cobbler_fix_reposync_permissions.patch: 
     Fix reposync permissions. (LP: #710757)
   * debian/patches/12_fix_dhcp_restart.patch: Fix dhcp restart.
     (LP: #709723)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Jan 2011 14:39:12 -0500

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,6 @@
 override_dh_auto_build:
 	[ -d excluded_files/cobbler ] || mkdir -p excluded_files/cobbler
 	[ -d excluded_files/koan ] || mkdir -p excluded_files/koan
-	mv -f cobbler/sub_process.py excluded_files/cobbler
-	mv -f koan/sub_process.py excluded_files/koan
-	mv -f koan/opt_parse.py excluded_files/koan
-	mv -f koan/text_wrap.py excluded_files/koan
 	python setup.py build
 	ant -f cobbler4j/build.xml

## cobbler 2.1.0~bzr2002

=== debian/changelog ===
cobbler (2.1.0~bzr2002-0ubuntu2) natty; urgency=low

  * rebuild for permissions issue

 -- LaMont Jones <lamont@ubuntu.com>  Sat, 26 Feb 2011 00:44:10 +0000

cobbler (2.1.0~bzr2002-0ubuntu1) natty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Feb 2011 14:47:03 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
 Build-Depends: debhelper (>= 7.0.50),
+ python-all,
  python-cheetah, 
- python-all,
  python-yaml, 
  git-core, 
  python-support,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Verbose mode
 # export DH_VERBOSE=1
 
-RELEASE_VERSION := 1988
+RELEASE_VERSION := 2002
 
 %:
 	dh $@ --with python2,javahelper
@@ -11,6 +11,10 @@
 override_dh_auto_build:
 	[ -d excluded_files/cobbler ] || mkdir -p excluded_files/cobbler
 	[ -d excluded_files/koan ] || mkdir -p excluded_files/koan
+	mv -f cobbler/sub_process.py excluded_files/cobbler
+	mv -f koan/sub_process.py excluded_files/koan
+	mv -f koan/opt_parse.py excluded_files/koan
+	mv -f koan/text_wrap.py excluded_files/koan
 	python setup.py build
 	ant -f cobbler4j/build.xml
 
@@ -40,4 +44,4 @@
 	mkdir -p $(CURDIR)/dist/cobbler-2.1.0/cobbler4j
 	cp -rp $(CURDIR)/cobbler4j/* $(CURDIR)/dist/cobbler-2.1.0/cobbler4j
 	mv $(CURDIR)/dist/cobbler-2.1.0 $(CURDIR)/dist/cobbler-2.1.0~bzr$(RELEASE_VERSION)
-	cd $(CURDIR)/dist ; tar zcvf ../../cobbler-2.1.0~bzr$(RELEASE_VERSION).tar.gz cobbler-2.1.0~bzr$(RELEASE_VERSION)
+	cd $(CURDIR)/dist ; tar zcvf ../../cobbler-2.1.0~bzr$(RELEASE_VERSION).orig.tar.gz cobbler-2.1.0~bzr$(RELEASE_VERSION)

## cobbler 2.1.0~bzr2005

=== debian/changelog ===
cobbler (2.1.0~bzr2005-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * New upstream release 

  [Andres Rodriguez]
  * Add python-koan package (LP: #731616):
    - debian/control: Add python-koan binary package; fix typo
    - debian/python-cobbler.install: Do not install koan python modules.
    - debian/python-koan.install: Add. Install koan python modules.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Mar 2011 07:59:55 -0500

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
  python-django, 
  ${misc:Depends}
 Provides: ${python:Provides}
-Description: Install server - python libraires.
+Description: Install server - python libraries.
  Cobbler is a network install server. Cobbler supports PXE, virtualized
  installs, and reinstalling existing Linux machines. The last two modes use
  a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
@@ -108,7 +108,7 @@
 
 Package: koan
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libvirt-bin
+Depends: ${python:Depends}, ${misc:Depends}, python-koan, libvirt-bin
 Description: kickstart-over-a-network (koan)
  Koan stands for kickstart-over-a-network and allows for both network 
  installation of new virtualized guests and re-installation of an existing

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Verbose mode
 # export DH_VERBOSE=1
 
-RELEASE_VERSION := 2002
+RELEASE_VERSION := 2005
 
 %:
 	dh $@ --with python2,javahelper

## cobbler 2.1.0~bzr2009

=== debian/changelog ===
cobbler (2.1.0~bzr2009-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Mar 2011 10:41:56 -0400

cobbler (2.1.0~bzr2005-0ubuntu2) natty; urgency=low

  * debian/patches/31_add_ubuntu_koan_utils_support.patch: Add support for
    ubuntu distro in koan utils.py.
  * debian/patches/32_fix_koan_import_yum.patch: Fix import error of yum
    python module; adds flexibility for other package managers. (LP: #731620)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 11 Mar 2011 16:02:48 -0500

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Verbose mode
 # export DH_VERBOSE=1
 
-RELEASE_VERSION := 2005
+RELEASE_VERSION := 2009
 
 %:
 	dh $@ --with python2,javahelper

## cobbler 2.1.0

=== debian/changelog ===
cobbler (2.1.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Make it a bit more easier to configure cobbler_web (LP: #741661)
  * Drop java dependencies since cobbler4j is no longer shipped upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 31 Mar 2011 08:54:56 -0400

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,7 @@
  python-setuptools,
  python-netaddr,
  python-nose,
- python-simplejson,
- ant,
- javahelper,
- junit4,
- libredstone-xmlrpc-java,
- default-jdk
+ python-simplejson
 XS-Python-Version: 2.7
 Standards-Version: 3.9.1
 Homepage: https://fedoraproject.org/cobbler
@@ -113,20 +108,3 @@
  Koan stands for kickstart-over-a-network and allows for both network 
  installation of new virtualized guests and re-installation of an existing 
  system.  For use with a boot-server configure with Cobbler.
-
-Package: libcobbler4j-java
-Architecture: all
-Depends:
- libredstone-xmlrpc-java,
- default-jre-headless | java2-runtime-headless,
- ${misc:Depends}
-Description: Cobbler Install Server API
- Cobbler is a network install server. Cobbler supports PXE, virtualized
- installs, and reinstalling existing Linux machines. The last two modes use
- a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
- features include importing distributions from DVDs and rsync mirrors,
- kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
- Management. Cobbler has a Python and XMLRPC API for integration with other
- applications. There is also a web interface.
- .
- This package provides the Java API for cobbler.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # Verbose mode
 # export DH_VERBOSE=1
 
-RELEASE_VERSION := 2009
+RELEASE_VERSION := 2005
 
 %:
-	dh $@ --with python2,javahelper
+	dh $@ --with python2
 
 override_dh_auto_build:
 	[ -d excluded_files/cobbler ] || mkdir -p excluded_files/cobbler
@@ -16,20 +16,18 @@
 	mv -f koan/opt_parse.py excluded_files/koan
 	mv -f koan/text_wrap.py excluded_files/koan
 	python setup.py build
-	ant -f cobbler4j/build.xml
 
 override_dh_auto_clean:
 	dh_auto_clean
-	ant -f cobbler4j/build.xml clean
 	if [ -d excluded_files/cobbler ] ; then \
-      mv excluded_files/cobbler/* cobbler ;\
-    fi
+		mv excluded_files/cobbler/* cobbler ;\
+	fi
 	if [ -d excluded_files/koan ] ; then \
-      mv excluded_files/koan/* koan ;\
-    fi
+		mv excluded_files/koan/* koan ;\
+	fi
 	if [ -d excluded_files ] ; then \
-      rm -rf excluded_files ;\
-    fi
+		rm -rf excluded_files ;\
+fi
 
 override_dh_auto_test:
 	nosetests cobbler/*.py || true

## cobbler 2.1.0+git20110602

=== debian/changelog ===
cobbler (2.1.0+git20110602-0ubuntu26) oneiric; urgency=low

  * debian/cobbler-ubuntu-import: Add --check-update and --remove
    functionality.  This should help orchestra-import-isos keep local
    ISO caches up-to-date. (LP: #850892)

 -- Adam Gandelman <adamg@canonical.com>  Thu, 15 Sep 2011 16:36:39 -0700

cobbler (2.1.0+git20110602-0ubuntu25) oneiric; urgency=low

  * debian/cobbler-common.install: Install missing pxeprofile_arm.template
    and pxesystem_arm.template (LP: #844982).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Sep 2011 13:01:55 -0400

cobbler (2.1.0+git20110602-0ubuntu24) oneiric; urgency=low

  * debian/cobbler-web.postinst: Correctly handle creation/validation of
    links for the Ubuntu font for cobbler-web. (LP: #840188)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 06 Sep 2011 14:11:49 -0400

cobbler (2.1.0+git20110602-0ubuntu23) oneiric; urgency=low

  * debian/patches/57_ubuntu_dnsmasq_domain.patch: Add commented 'domain'
    field on dnsmasq template to be later used by orchestra. (LP: #834172)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 01 Sep 2011 20:08:17 -0400

cobbler (2.1.0+git20110602-0ubuntu22) oneiric; urgency=low

  * cobbler-web: Localize use of Ubuntu fonts, add ttf-ubuntu-font-family
    as Depends. (LP #834868)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 26 Aug 2011 12:58:21 -0700

cobbler (2.1.0+git20110602-0ubuntu21) oneiric; urgency=low

  * debian/patches/52_ubuntu_default_config.patch: Update. Add 'orchestra'
    to cheetah_import_whitelist

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 23 Aug 2011 17:35:45 -0400

cobbler (2.1.0+git20110602-0ubuntu20) oneiric; urgency=low

  * debian/patches:
    - 49_ubuntu_add_arm_arch_support.patch: Updated to allow import of ARM
      arch. (LP: #827674)
    - 56_ubuntu_arm_generate_pxe_files.patch: Added. Add templates and
      generate files for PXE Menu creation for profile/systems. (LP: #827681)
      Additionally make sure hostname is set correctly.
  * Add preseed for ARM architectures.
    - debian/ubuntu-server-arm.seed: Add
    - debian/cobbler.install: Install preseed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 17 Aug 2011 12:22:53 -0400

cobbler (2.1.0+git20110602-0ubuntu19) oneiric; urgency=low

  * debian/cobbler-ubuntu-import:
    - move the loop_mount logic over from orchestra-import-isos (which now
      uses cobbler-ubuntu-import)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Aug 2011 13:02:11 -0500

cobbler (2.1.0+git20110602-0ubuntu18) oneiric; urgency=low

  * debian/patches/55_ubuntu_branding.patch, debian/patches/series,
    web/content/logo-ubuntu.png:
    - skin the web interface with Ubuntu colors/logo
    - fix install location, move png to right location

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 16:12:18 -0500

cobbler (2.1.0+git20110602-0ubuntu17) oneiric; urgency=low

  * Fix description of cobbler-web package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 28 Jul 2011 11:55:50 +0200

cobbler (2.1.0+git20110602-0ubuntu16) oneiric; urgency=low

  * debian/cobbler.postinst: Drop. Causes purge to fail (LP: #805901)
  * debian/control: Depend on libapache2-mod-wsgi for cobbler-web (LP: #790038)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 19 Jul 2011 18:13:59 -0400

cobbler (2.1.0+git20110602-0ubuntu15) oneiric; urgency=low

  * debian/cobbler-ubuntu-import: add tool for importing Ubuntu releases

 -- Scott Moser <smoser@ubuntu.com>  Tue, 12 Jul 2011 14:27:34 -0400

cobbler (2.1.0+git20110602-0ubuntu14) oneiric; urgency=low

  * debian/patches/54_koan_fix_tree_when_ksmeta.patch: Ensure ks_meta args
    are not added to tree when obtaining it.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 12 Jul 2011 12:10:40 -0400

cobbler (2.1.0+git20110602-0ubuntu13) oneiric; urgency=low

  * debian/patches:
    - 52_ubuntu_default_config.patch: Rename/update patch created by quilt
      for changes to config/settings.
    - 53_sample_preseed_kopts_postinst.patch: Add post inst kernel options
      to sample preseed. (LP: #760019)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 05 Jul 2011 12:45:32 -0400

cobbler (2.1.0+git20110602-0ubuntu12) oneiric; urgency=low

  * config/settings:
    - default kernel options on install to en_US and priority=critical,
      to prevent interactive remote installs
    - default virt settings to kvm-friendly virbr0 and qemu
    - default power management to ether_wake
    - default preseed to an Ubuntu preseed
    - default to pxe boot just once to prevent boot loops
  * debian/cobbler.install, debian/cobbler.links,
    debian/ubuntu-server.preseed:
    - create and install an ubuntu-server.preseeed

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Jun 2011 12:07:23 +0000

cobbler (2.1.0+git20110602-0ubuntu11) oneiric; urgency=low

  * debian/patches/51_koan_grub2_instead_of_grubby.patch: Use grub2 for koan's
    '--replace-self' option instead of grubby. (LP: #766229)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 28 Jun 2011 17:02:53 -0400

cobbler (2.1.0+git20110602-0ubuntu10) oneiric; urgency=low

  * debian/patches/50_fix_cobbler_timezone.patch: Dont hardcode timezone
    in the web interface. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 28 Jun 2011 11:55:14 +0100

cobbler (2.1.0+git20110602-0ubuntu9) oneiric; urgency=low

  * debian/patches/49_ubuntu_add_arm_arch_support.patch: Add arm as a valid 
    architecture. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jun 2011 07:30:23 -0400

cobbler (2.1.0+git20110602-0ubuntu8) oneiric; urgency=low

  * debian/control: Recommends on fence-agents.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Jun 2011 11:09:33 -0400

cobbler (2.1.0+git20110602-0ubuntu7) oneiric; urgency=low

  * debian/patches:
    - 47_ubuntu_add_oneiric_codename.patch: Add oneiric codename to
      not fail on Oneiric imports.
    - 48_ubuntu_mini_iso_autodetect.patch: Obtain os_version/arch when


=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
 Build-Depends: debhelper (>= 7.0.50),
+ po-debconf,
  python-all,
  python-cheetah, 
  python-yaml, 
@@ -12,10 +13,10 @@
  python-setuptools,
  python-netaddr,
  python-nose,
- python-simplejson
+ python-simplejson,
 XS-Python-Version: 2.7
-Standards-Version: 3.9.1
-Homepage: https://fedoraproject.org/cobbler
+Standards-Version: 3.9.2
+Homepage: https://fedorahosted.org/cobbler
 
 Package: cobbler
 Architecture: all
@@ -23,7 +24,9 @@
  apache2,
  libapache2-mod-wsgi,
  lsb-release,
+ openssl,
  python,
+ python-twisted,
  rsync,
  syslinux | syslinux-common,
  cobbler-common (= ${binary:Version})
@@ -31,11 +34,12 @@
  powerwake,
  tftpd-hpa,
  cobbler-web,
- debmirror
+ debmirror,
+ fence-agents
 Suggests: createrepo,
+ bind9,
  dhcp3-server,
  genisoimage,
- cman,
 Description: Install server
  Cobbler is a network install server. Cobbler supports PXE, virtualized
  installs, and reinstalling existing Linux machines. The last two modes
@@ -86,11 +90,13 @@
 Package: cobbler-web
 Architecture: all
 Depends: python-cobbler (= ${binary:Version}),
-  cobbler-common (= ${binary:Version} ),
+ cobbler-common (= ${binary:Version} ),
  libapache2-mod-python,
+ libapache2-mod-wsgi,
+ ttf-ubuntu-font-family,
  ${misc:Depends}
 Provides: ${python:Provides}
-Description: Cobbler Install server - common files
+Description: Cobbler Install server - web interface
  Cobbler is a network install server. Cobbler supports PXE, virtualized 
  installs, and reinstalling existing Linux machines. The last two modes use 
  a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
@@ -99,7 +105,8 @@
  Management. Cobbler has a Python and XMLRPC API for integration with other 
  applications. There is also a web interface.
  .
- This includes the web interface and its corresponding configuration files.
+ This package includes the web interface and its corresponding
+ configuration files.
 
 Package: koan
 Architecture: all
@@ -108,3 +115,21 @@
  Koan stands for kickstart-over-a-network and allows for both network 
  installation of new virtualized guests and re-installation of an existing 
  system.  For use with a boot-server configure with Cobbler.
+
+Package: python-koan
+Section: python
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends},
+ python-libvirt,
+ python-simplejson,
+ python-urlgrabber,
+ python-ethtool
+Provides: ${python:Provides}
+Conflicts: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
+Replaces: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
+Description: kickstart-over-a-network (koan) - python libraries
+ Koan stands for kickstart-over-a-network and allows for both network
+ installation of new virtualized guests and re-installation of an existing
+ system.  For use with a boot-server configure with Cobbler.
+ .
+ This package includes the koan python modules.

## cobbler 2.1.0-2

=== debian/changelog ===
cobbler (2.1.0-2) unstable; urgency=low

  * Use version from git master

 -- Nikita Borzykh <sample.n@gmail.com>  Wed, 26 Sep 2011 19:15:59 +0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
 Build-Depends: debhelper (>= 7.0.50),
- po-debconf,
  python-all,
  python-cheetah, 
  python-yaml, 
@@ -13,10 +12,10 @@
  python-setuptools,
  python-netaddr,
  python-nose,
- python-simplejson,
+ python-simplejson
 XS-Python-Version: 2.7
-Standards-Version: 3.9.2
-Homepage: https://fedorahosted.org/cobbler
+Standards-Version: 3.9.1
+Homepage: https://fedoraproject.org/cobbler
 
 Package: cobbler
 Architecture: all
@@ -26,7 +25,6 @@
  lsb-release,
  openssl,
  python,
- python-twisted,
  rsync,
  syslinux | syslinux-common,
  cobbler-common (= ${binary:Version})
@@ -34,12 +32,12 @@
  powerwake,
  tftpd-hpa,
  cobbler-web,
- debmirror,
- fence-agents
+ debmirror
 Suggests: createrepo,
  bind9,
  dhcp3-server,
  genisoimage,
+ cman,
 Description: Install server
  Cobbler is a network install server. Cobbler supports PXE, virtualized
  installs, and reinstalling existing Linux machines. The last two modes
@@ -90,13 +88,10 @@
 Package: cobbler-web
 Architecture: all
 Depends: python-cobbler (= ${binary:Version}),
- cobbler-common (= ${binary:Version} ),
- libapache2-mod-python,
- libapache2-mod-wsgi,
- ttf-ubuntu-font-family,
+  cobbler-common (= ${binary:Version} ),
  ${misc:Depends}
 Provides: ${python:Provides}
-Description: Cobbler Install server - web interface
+Description: Cobbler Install server - common files
  Cobbler is a network install server. Cobbler supports PXE, virtualized 
  installs, and reinstalling existing Linux machines. The last two modes use 
  a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
@@ -105,8 +100,7 @@
  Management. Cobbler has a Python and XMLRPC API for integration with other 
  applications. There is also a web interface.
  .
- This package includes the web interface and its corresponding
- configuration files.
+ This includes the web interface and its corresponding configuration files.
 
 Package: koan
 Architecture: all
@@ -117,16 +111,16 @@
  system.  For use with a boot-server configure with Cobbler.
 
 Package: python-koan
-Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
  python-libvirt,
+ virtinst,
  python-simplejson,
  python-urlgrabber,
  python-ethtool
 Provides: ${python:Provides}
-Conflicts: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
-Replaces: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
+Conflicts: python-cobbler (<= 2.0.11)
+Replaces: python-cobbler (<= 2.0.11)
 Description: kickstart-over-a-network (koan) - python libraries
  Koan stands for kickstart-over-a-network and allows for both network
  installation of new virtualized guests and re-installation of an existing

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Verbose mode
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 RELEASE_VERSION := 2005

## cobbler 2.2.2

=== debian/changelog ===
cobbler (2.2.2-0ubuntu37) raring; urgency=low

  * debian/patches/72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
    correct wrong usage of os.umask() on cobbler/api.py, cobbler/cobblerd.py, and
    cobbler/serializer.py. Imported from Upstream. (LP: #967815)

 -- C de-Avillez <hggdh2@ubuntu.com>  Sun, 09 Sep 2012 11:17:13 -0500

cobbler (2.2.2-0ubuntu36) quantal; urgency=low

  * debian/README.Debian: Add Warning note mentioning that XMLRPC API allows
    unauthenticated access to certain API methods. (LP: #858867)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 07 Aug 2012 11:01:53 -0400

cobbler (2.2.2-0ubuntu35) quantal-proposed; urgency=low

  * debian/patches/70_replace_pxe_menu_title.patch: Not need to change
    PXE BOOt menu title to other than default

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 26 Jul 2012 16:07:55 -0400

cobbler (2.2.2-0ubuntu34) quantal; urgency=low

  * debian/cobbler.config: Do not fail to install if cannot determine
    default IP address. (LP: #1001846)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 29 Jun 2012 16:29:21 -0400

cobbler (2.2.2-0ubuntu33) precise; urgency=low

  * debian/patches/71_fix_tftp_bin_name.patch: Specify the correct name of
    cobbler's internal tftpd server binary file, to not fail. (LP: #967430)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 10 Apr 2012 12:33:17 -0400

cobbler (2.2.2-0ubuntu32) precise; urgency=low

  * replace static list of Ubuntu release names with dependency on 
    distro-info in cobbler and and python-distro-info in python-cobbler
    (LP: #949442)
  * check signature of MD5SUMS.gpg against ubuntu-keyring, and verify
    that downloaded content matches expected (LP: #974460)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 09 Apr 2012 22:08:22 -0400

cobbler (2.2.2-0ubuntu31) precise; urgency=low

  * debian/cobbler.postrm: Do not use apache2ctl, use invoke-rc.d instead.
  * debian/cobbler-ubuntu-import: exit 0 if updates are needed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 26 Mar 2012 13:52:12 -0400

cobbler (2.2.2-0ubuntu30) precise; urgency=low

  * debian/cobbler.postinst: Do not use apache2ctl, use invoke-rc.d instead
    otherwise it will fail during CD installation; add db_stop.
  * debian/cobbler.postrm: cleanup.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 23 Mar 2012 15:48:37 -0400

cobbler (2.2.2-0ubuntu29) precise; urgency=low

  * debian/patches/70_replace_pxe_menu_title.patch: Change PXE Menu title.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Mar 2012 17:25:56 -0400

cobbler (2.2.2-0ubuntu28) precise; urgency=low

  * debian/control:
    - Switch Recomends on hardlink to Depends.
    - Switch Recommends on debmirror to Suggests.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Mar 2012 21:30:26 -0400

cobbler (2.2.2-0ubuntu27) precise; urgency=low

  * cobbler-ubuntu-import: provide a static list of releases rather
    than depending on distro-info for '--update-existing' function
  * reduce distro-info from Recommends to Suggests.  This is because
    it is not in main.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Mar 2012 15:13:39 -0400

cobbler (2.2.2-0ubuntu26) precise; urgency=low

  * cobbler-ubuntu-import: Fix checking for descendants in
    reassign_distro() in order to move the old profiles and systems using
    them to the new distro, instead of losing them when the old distro
    is removed.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 19 Mar 2012 13:01:10 +0200

cobbler (2.2.2-0ubuntu25) precise; urgency=low

  * cobbler-ubuntu-import: Fix a typo, so -U option actually works.
    (LP: #959085)
  * cobbler-ubuntu-import: Fix passing arguments to 'cobbler distro find',
    so the importer doesn't fail. (LP: #959088)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 19 Mar 2012 11:25:58 +0200

cobbler (2.2.2-0ubuntu24) precise; urgency=low

  * Make debconf questions low priority (LP: #956518)
  * debian/cobbler.postinst: Correctly determine IP of interface with default
    route.
  * Update po to update template changes.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 16 Mar 2012 15:21:59 -0400

cobbler (2.2.2-0ubuntu23) precise; urgency=low

  * cobbler-ubuntu-import: be more quiet when downloading images by
    using wget --progress=dot:mega.
  * cobbler-ubuntu-import: create dependent '-auto' profiles that
    contain the necessary kickstart and kernel options for automated install

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Mar 2012 15:47:05 -0400

cobbler (2.2.2-0ubuntu22) precise; urgency=low

  [C de-Avillez]
  * fix stack trace in write_pxe_file (LP: #943000)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2012 16:03:12 -0500

cobbler (2.2.2-0ubuntu21) precise; urgency=low

  * Allow API to work without installing cobbler-web, as it now only installs
    the WebUI. (LP: #942725)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 29 Feb 2012 17:19:26 -0500

cobbler (2.2.2-0ubuntu20) precise; urgency=low

  * debian/patches:
    - 67_ubuntu_online_doc_link.patch: Change 'Online Documentation' link to
      Ubuntu wiki one. (LP: #918372)
    - 68_ubuntu_cdu_power_template.patch: Add a power template for a
      Sentry Switch CDU. (LP: #927921)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 06 Feb 2012 17:33:23 -0500

cobbler (2.2.2-0ubuntu19) precise; urgency=low

  * Remove remaining Ubuntu branding (LP: #891977)
    - debian/logo-ubuntu.png: removed; cobbler-web.install: not install logo;
      debian/control: Remove Dep on ttf-ubuntu-font-family;
      cobbler-web.postinst: Do not create font symlinks.
  * debian/patches/65_ubuntu_disable_pxe_snippet.patch: Add disable PXE
    snippet. (LP: #914017)
  * 66_use_eth0_mac_for_poweron_etherwake.patch: Use MAC of eth0 if
    power_address has not being defined. (LP: #912476)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 01 Feb 2012 12:58:43 -0500

cobbler (2.2.2-0ubuntu18) precise; urgency=low



=== debian/control ===
--- 
+++ 
@@ -4,40 +4,43 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
 Build-Depends: debhelper (>= 7.0.50),
+ po-debconf,
  python-all,
  python-cheetah, 
  python-yaml, 
  git-core, 
- python-support,
  python-setuptools,
  python-netaddr,
  python-nose,
- python-simplejson
+ python-simplejson,
 XS-Python-Version: 2.7
-Standards-Version: 3.9.1
-Homepage: https://fedoraproject.org/cobbler
+Standards-Version: 3.9.2
+Homepage: https://fedorahosted.org/cobbler
 
 Package: cobbler
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
  apache2,
+ hardlink,
  libapache2-mod-wsgi,
  lsb-release,
  openssl,
  python,
+ python-twisted,
  rsync,
  syslinux | syslinux-common,
- cobbler-common (= ${binary:Version})
-Recommends: hardlink,
- powerwake,
- tftpd-hpa,
- cobbler-web,
- debmirror
+ libapache2-mod-wsgi,
+ libapache2-mod-python,
+ cobbler-common (= ${binary:Version}),
+ distro-info
+Recommends: fence-agents,
+            powerwake,
+            tftpd-hpa
 Suggests: createrepo,
  bind9,
+ debmirror,
  dhcp3-server,
  genisoimage,
- cman,
 Description: Install server
  Cobbler is a network install server. Cobbler supports PXE, virtualized
  installs, and reinstalling existing Linux machines. The last two modes
@@ -56,7 +59,8 @@
  python-cheetah, 
  python-simplejson, 
  python-urlgrabber, 
- python-django, 
+ python-django (>= 1.2),
+ python-distro-info,
  ${misc:Depends}
 Provides: ${python:Provides}
 Description: Install server - python libraries.
@@ -72,7 +76,8 @@
 
 Package: cobbler-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ python-cobbler (= ${binary:Version})
 Provides: ${python:Provides}
 Description: Cobbler Install server - common files
  Cobbler is a network install server. Cobbler supports PXE, virtualized 
@@ -87,11 +92,11 @@
 
 Package: cobbler-web
 Architecture: all
-Depends: python-cobbler (= ${binary:Version}),
-  cobbler-common (= ${binary:Version} ),
+Depends: cobbler (= ${binary:Version} ),
+ cobbler-common (= ${binary:Version} ),
  ${misc:Depends}
 Provides: ${python:Provides}
-Description: Cobbler Install server - common files
+Description: Cobbler Install server - web interface
  Cobbler is a network install server. Cobbler supports PXE, virtualized 
  installs, and reinstalling existing Linux machines. The last two modes use 
  a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
@@ -100,27 +105,28 @@
  Management. Cobbler has a Python and XMLRPC API for integration with other 
  applications. There is also a web interface.
  .
- This includes the web interface and its corresponding configuration files.
+ This package includes the web interface and its corresponding
+ configuration files.
 
 Package: koan
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-koan, libvirt-bin
+Depends: ${python:Depends}, ${misc:Depends}, python-koan, libvirt-bin, virtinst
 Description: kickstart-over-a-network (koan)
  Koan stands for kickstart-over-a-network and allows for both network 
  installation of new virtualized guests and re-installation of an existing 
  system.  For use with a boot-server configure with Cobbler.
 
 Package: python-koan
+Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
  python-libvirt,
- virtinst,
  python-simplejson,
  python-urlgrabber,
  python-ethtool
 Provides: ${python:Provides}
-Conflicts: python-cobbler (<= 2.0.11)
-Replaces: python-cobbler (<= 2.0.11)
+Conflicts: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
+Replaces: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
 Description: kickstart-over-a-network (koan) - python libraries
  Koan stands for kickstart-over-a-network and allows for both network
  installation of new virtualized guests and re-installation of an existing
